Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007613OCamldocumentationpublic2017-08-27 00:052018-04-01 16:04
Reportercoventry 
Assigned Tooctachron 
PrioritylowSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version4.07.0+dev/beta2/rc1/rc2 
Summary0007613: Manual's description of refutation cases is unclear
DescriptionCurrently this section: https://caml.inria.fr/pub/docs/manual-ocaml/extn.html#sec241 [^]

The "and redundancy" in the title makes it sound like refutation cases are something defined elsewhere, and have some relationship to GADTs via redundancy. The fact that redundancy isn't mentioned anywhere in the section is also confusing -- I think it means branches of a pattern match which are redundant due to being untypable. "which are both untypable" would be clarified by adding "because deep expects a [char t]".

My confusion was cleared up by https://discuss.ocaml.org/t/matching-incompatible-gadt-constructors/682 [^] , FWIW. I think it's much clearer.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0018958)
octachron (developer)
2018-03-24 15:57

Your suggestions have been implemented in https://github.com/ocaml/ocaml/pull/1677 [^] . Do you wish to appear in the change entry? (and if yes, under which name or pseudonym?)
(0018962)
coventry (reporter)
2018-03-28 20:20

Thanks, Florian. It's fine as is.

Best regards,
Alex
(0018969)
octachron (developer)
2018-04-01 16:04

The PR above was merged, the manual will be updated with the fixes once 4.07 is released.

- Issue History
Date Modified Username Field Change
2017-08-27 00:05 coventry New Issue
2017-08-27 00:07 octachron Assigned To => octachron
2017-08-27 00:07 octachron Status new => assigned
2018-03-24 15:57 octachron Note Added: 0018958
2018-03-28 20:20 coventry Note Added: 0018962
2018-04-01 16:04 octachron Note Added: 0018969
2018-04-01 16:04 octachron Status assigned => resolved
2018-04-01 16:04 octachron Fixed in Version => 4.07.0+dev/beta2/rc1/rc2
2018-04-01 16:04 octachron Resolution open => fixed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker